program teste02

real :: p, Prs, Pr
real,dimension(:),allocatable :: C, Re, m, Nu
integer :: N, i

write(*,*) "Digite o valor de Prs"
read(*,*) Prs

write(*,*) "Digite o valor de Pr"
read(*,*) Pr

write(*,*) "Digite o numero de elementos dos conjuntos"
read(*,*) N

allocate ( C(N), Re(N), m(N), Nu(N) )

do i = 1, N
	Re(i) = 2.0**(i-1.0)
end do

call calc_C (N,Re,C)
call calc_m (N,Re,m)

if ( Pr <= 10 ) then
	p = 0.37
else
	p = 0.36
end if

do i = 1, N
	Nu(i) = C(i)*Re(i)**m(i)*Pr**p*(Pr/Prs)**(1.0/4.0)
end do

call saidas (N,C,m,Re,Nu)

end program